[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Variants' (#rtl)

# EVariantOutOfMemoryError

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Error to signal an out-of-memory condition

## Declaration

Source position: variants.pp line 45

`type EVariantOutOfMemoryError = class(EVariantError)`

## Inheritance

`EVariantOutOfMemoryError` |  | Error to signal an out-of-memory condition
`EVariantError` |  | Variant error.
`Exception` |  | Base class of all exceptions.
`TObject`

## Description

EVariantOutOfMemoryError is the exception raised when the VAR_OUTOFMEMORY error is encountered in VarResultCheck It can be raised manually by calling VarOutOfMemoryError.

## See also

VarOutOfMemoryError |  | Raise an EVariantOutOfMemoryError error
VarResultCheck |  | Check the result of an operation and raise exception if not OK.